Page MenuHomePhabricator

immediate kicking in of the Bridge: Attach link listeners sooner
Closed, ResolvedPublic3 Story Points

Description

As as user I want links which qualify for bridge to truly opened in bridge.

Problem:
If a user clicks the edit pen too quickly after loading the page then the Bridge hasn't finished loading and the user gets thrown to Wikidata instead.

BDD
GIVEN an article
AND a Bridge-enabled infobox
WHEN loading the page
AND clicking the edit pen shortly afterwards
THEN the Bridge opens

Acceptance criteria:

  • time between page loading and user not being sent to Wikidata after a click is reduced
  • loading of the application and attaching of click handlers to links is parallelized (the latter does not wait for the former to complete)
  • the criteria which links qualify are unchanged

Info

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: attach link listeners as soon as possible

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 17 2019, 2:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pablo-WMDE renamed this task from Attach link listeners to Attach link listeners sooner.Oct 17 2019, 2:17 PM
Lydia_Pintscher renamed this task from Attach link listeners sooner to immediate kicking in of the Bridge: Attach link listeners sooner.Nov 1 2019, 1:37 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Needs work to Ready to estimate on the Wikidata-Bridge board.
Lydia_Pintscher triaged this task as Medium priority.Nov 4 2019, 10:02 PM

Some inspiration for how this could be measured can be found in @Lucas_Werkmeister_WMDE post T233305#5555763

Lydia_Pintscher set the point value for this task to 3.Nov 5 2019, 11:41 AM

Change 550724 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: attach link listeners as soon as possible

https://gerrit.wikimedia.org/r/550724

Change 550724 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: attach link listeners as soon as possible

https://gerrit.wikimedia.org/r/550724

Moving to Verification, though I’m not sure to what extent this can be verified independently.

These are things that will be checked in the performance review. For now I don't think there is verification needed, unless @Lydia_Pintscher thinks differently.

Do you have data for the first acceptance criteria?

  1. form how long to how long has the time between page loading and user not being sent to Wikidata been reduced?

I just gave it a try on beta and I'm happy with the result.

Do you have data for the first acceptance criteria?

I mentioned some numbers from my local system in the commit message:

On my system, the time between the beginning of the init function and the click handlers being attached went down from 280±34 ms to 8±2 ms.

I don’t know how to measure that on the beta cluster, though, not without T237368.

Lucas_Werkmeister_WMDE closed this task as Resolved.Mon, Nov 18, 1:00 PM